DataBindingConfigurationProperties (Grails 6.0.0)

Package: org.grails.plugins.databinding

## [Java] Class DataBindingConfigurationProperties

- org.grails.plugins.databinding.DataBindingConfigurationProperties

-     @org.springframework.boot.context.properties.ConfigurationProperties("grails.databinding")
      public class DataBindingConfigurationProperties

  Data binding configuration.

  Authors:
    graemerocher
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private int` | `autoGrowCollectionLimit` |
    `private boolean` | `convertEmptyStringsToNull` |
    `private java.util.List<java.lang.String>` | `dateFormats` |
    `private boolean` | `dateParsingLenient` |
    `private boolean` | `trimStrings` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getAutoGrowCollectionLimit()`
    `` | `public java.util.List<java.lang.String>` | `getDateFormats()`
    `` | `public boolean` | `isConvertEmptyStringsToNull()`
    `` | `public boolean` | `isDateParsingLenient()`
    `` | `public boolean` | `isTrimStrings()`
    `` | `public void` | `setAutoGrowCollectionLimit(int autoGrowCollectionLimit)`
    `` | `public void` | `setConvertEmptyStringsToNull(boolean convertEmptyStringsToNull)`
    `` | `public void` | `setDateFormats(java.util.List<java.lang.String> dateFormats)`
    `` | `public void` | `setDateParsingLenient(boolean dateParsingLenient)`
    `` | `public void` | `setTrimStrings(boolean trimStrings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private int autoGrowCollectionLimit

    - #### private boolean convertEmptyStringsToNull

    - #### private java.util.List<java.lang.String> dateFormats

    - #### private boolean dateParsingLenient

    - #### private boolean trimStrings

  - ### Method Detail

    - #### public int getAutoGrowCollectionLimit()

    - #### public java.util.List<java.lang.String> getDateFormats()

    - #### public boolean isConvertEmptyStringsToNull()

    - #### public boolean isDateParsingLenient()

    - #### public boolean isTrimStrings()

    - #### public void setAutoGrowCollectionLimit(int autoGrowCollectionLimit)

    - #### public void setConvertEmptyStringsToNull(boolean convertEmptyStringsToNull)

    - #### public void setDateFormats(java.util.List<java.lang.String> dateFormats)

    - #### public void setDateParsingLenient(boolean dateParsingLenient)

    - #### public void setTrimStrings(boolean trimStrings)